# classes/phing/tasks/system/TypedefTask.php

Register a datatype for use within a buildfile.

This is for registering your own datatypes for use within a buildfile.

If you find that you are using a particular class frequently, you may want to edit the phing/types/defaults.properties file so that it is included by default. You may also want to submit it (if LGPL or compatible license) to be included in Phing distribution.

      .
      <sometask ...>

      </sometask>

TODO: -- possibly refactor since this is almost the same as TaskDefTask (right now these are just too simple to really justify creating an abstract class)

author
  Hans Lellelid
package
  phing.tasks.system
version
  $Revision: 1224 $

## \TypedefTask
jump to top

Register a datatype for use within a buildfile.

This is for registering your own datatypes for use within a buildfile.

If you find that you are using a particular class frequently, you may want to edit the phing/types/defaults.properties file so that it is included by default. You may also want to submit it (if LGPL or compatible license) to be included in Phing distribution.

      .
      <sometask ...>

      </sometask>

TODO: -- possibly refactor since this is almost the same as TaskDefTask (right now these are just too simple to really justify creating an abstract class)

Extends from
  \Task
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 1224 $

### Properties

`string $classname= ''`

Classname of task to register.

This can be a dot-path -- relative to a location on PHP include_path. E.g. path.to.MyClass -> path/to/MyClass.php

Details

Type
  string

`\Path $classpath= ''`

Path to add to PHP include_path to aid in finding specified class.

Details

Type
  \Path

`$classpathId= ''`

Refid to already defined classpath

Details

Type

`$name= ''`

Tag name for datatype that will be used in XML

Details

Type

### Methods

`createClasspath( ) : \Path`
Create the classpath to be used when searching for component being defined
Returns

Type | Description
--- | ---
\Path |

`main( ) :`
Main entry point
`setClassname( string $class ) :`
Sets the class name / dotpath to use.
Parameters

Name | Type | Description
--- | --- | ---
$class | string |

`setClasspath( \Path $classpath ) :`
Set the classpath to be used when searching for component being defined
Parameters

Name | Type | Description
--- | --- | ---
$classpath | \Path | A Path object containing the classpath.

`setClasspathRef( $r ) :`
Reference to a classpath to use when loading the files.
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

`setName( string $name ) :`
Sets the name that will be used in XML buildfile.
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

Documentation was generated by DocBlox 0.13.1.